This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 76567 - linux-abi stopped working with 2.4.18-17.7.x
linux-abi stopped working with 2.4.18-17.7.x
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 101044 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-23 10:52 EDT by giulioo
Modified: 2007-04-18 12:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-15 07:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giulioo 2002-10-23 10:52:04 EDT
linux-abi does not work anymore with errata 2.4.18-17.7.x.
ie: an 'ls' binary from ISC produces segfault.
Previous official kernel was ok.

I understand linux-abi is not supported, so if you could tell which patch in the
kernel interfere with it we can disable it and rebuild a kernel.
Comment 1 giulioo 2002-10-23 11:03:48 EDT
 <7>[ls:1307]: set personality to 4000005
Unable to handle kernel paging request at virtual address c88a8000
 printing eip:a0003759
*pde = 0150a067
*pte = 00000000
Oops: 0000
3c59x sr_mod cdrom ide-scsi sg scsi_mod lp parport_pc parport abi-isc abi-svr4
CPU:    0
EIP:    0023:[<a0003759>]    Not tainted
EFLAGS: 00010286
 
EIP is at Using_Versions [] 0xa0003758 (2.4.18-17.7.x)
eax: 0000000d   ebx: 08111988   ecx: 00402418   edx: bffff7d4
esi: bffff7d4   edi: 08111988   ebp: bffff7b4   esp: bffff570
ds: 002b   es: 002b   ss: 002b
Process ls (pid: 1307, stackpage=c1e13000)

No other trace
Comment 2 Jez Rogers 2002-11-05 10:27:41 EST
I'm getting something similar using a SCO Openserver Binary program, vsifax
version 2. Previous 7.2 kernel 2.4.9-34 worked fine. 2.4.18-17.7.x is no go:

From /var/log/messages:

Nov  5 14:42:10 bonny kernel: Unable to handle kernel paging request at virtual
address d08e6000
Nov  5 14:42:10 bonny kernel:  printing eip:
Nov  5 14:42:10 bonny kernel: 00012921
Nov  5 14:42:10 bonny kernel: *pde = 01af0067
Nov  5 14:42:10 bonny kernel: *pte = 00000000
Nov  5 14:42:10 bonny kernel: Oops: 0000
Nov  5 14:42:10 bonny kernel: appletalk ipx abi-sco abi-cxenix lcall7 abi-util
abi-svr4 binfmt_coff eepro100
Nov  5 14:42:10 bonny kernel: CPU:    0
Nov  5 14:42:10 bonny kernel: EIP:    0023:[zisofs_cleanup+75937/-1072693376]
 Not tainted
Nov  5 14:42:10 bonny kernel: EIP:    0023:[<00012921>]    Not tainted
Nov  5 14:42:10 bonny kernel: EFLAGS: 00010246
Nov  5 14:42:10 bonny kernel:
Nov  5 14:42:10 bonny kernel: EIP is at Using_Versions [] 0x12920 (2.4.18-17.7.x)
Nov  5 14:42:10 bonny kernel: eax: 00000003   ebx: bfffff6f   ecx: 00000082  
edx: 00000033
Nov  5 14:42:10 bonny kernel: esi: 00000001   edi: 00000000   ebp: bfffd184  
esp: bfffd16c
Nov  5 14:42:10 bonny kernel: ds: 002b   es: 002b   ss: 002b
Nov  5 14:42:10 bonny kernel: Process mt932 (pid: 32298, stackpage=c6979000)

Nov  5 14:42:10 bonny kernel:  <1>Unable to handle kernel paging request at
virtual address d08e6000
Nov  5 14:42:10 bonny kernel:  printing eip:
Nov  5 14:42:10 bonny kernel: 0002737d
Nov  5 14:42:10 bonny kernel: *pde = 01af0067
Nov  5 14:42:10 bonny kernel: *pte = 00000000
Nov  5 14:42:10 bonny kernel: Oops: 0000
Nov  5 14:42:10 bonny kernel: appletalk ipx abi-sco abi-cxenix lcall7 abi-util
abi-svr4 binfmt_coff eepro100
Nov  5 14:42:10 bonny kernel: CPU:    0
Nov  5 14:42:10 bonny kernel: EIP:    0023:[zisofs_cleanup+160509/-1072693376]
  Not tainted
Nov  5 14:42:10 bonny kernel: EIP:    0023:[<0002737d>]    Not tainted
Nov  5 14:42:10 bonny kernel: EFLAGS: 00010282
Nov  5 14:42:10 bonny kernel:
Nov  5 14:42:10 bonny kernel: EIP is at Using_Versions [] 0x2737c (2.4.18-17.7.x)
Nov  5 14:42:10 bonny kernel: eax: 0000001b   ebx: 00000003   ecx: 00000003  
edx: 00000008
Nov  5 14:42:10 bonny kernel: esi: 080d2ccc   edi: 080d2ccc   ebp: bffff814  
esp: bffff808
Nov  5 14:42:10 bonny kernel: ds: 002b   es: 002b   ss: 002b
Nov  5 14:42:10 bonny kernel: Process fxsched (pid: 32297, stackpage=c38e1000)
Nov  5 14:42:10 bonny kernel:  <7>[fxstat:16764]: set personality to 7000003
Comment 3 giulioo 2002-11-07 15:16:57 EST
FWIW: vanilla 2.4.19 + latest linux-abi patch work, so I cannot ask for help on
linux-abi list since I would be immediately redirected to Red Hat :)

Maybe you could just suggest which patch introduced between 2.4.18-10 and
2.4.18-17.7.x might cause problems and I'll try recompiling without it.

Enabling linux-abi tracing does not help since kernel problem seems to be before
linux-abi takes over.
Comment 4 Arjan van de Ven 2002-11-07 15:20:44 EST
2.4.19 lacked a critical security fix that is the prime suspect right now for
breaking linux abi
Comment 5 giulioo 2002-11-07 16:03:21 EST
Thanks. Since on some systems I'm interested in functionality more than
security, can you tell me the name of the patch or the source file touched by
the fix, so that I can undo it? I looked in the same places that broke iBCS on
2.2.x errata but they didn't change between the latest 2 kernel errata.
Comment 6 giulioo 2002-11-11 10:58:01 EST
I tried 2.4.20-rc1 and it also works. It seems changes in .19 .20-rc1 vanilla
kernels only require that shlibs be now executables, otherwise you get a 
kernel: coff: trapping process with SEGV
if you are not root.

Note that I'm testing .19 and .20-rc1 with latest linux-abi while in the errata
there's the previous version. Differences are minor. I cannot test errata with
latest patch due to massive problems applying all the patches in the src.rpm.


Comment 7 giulioo 2002-12-12 16:35:42 EST
I see in rawhide linux-abi is gone. Should I consider this bug as wontfix?

I understand you cannot support this, as stated in the spec file, but it would
be sufficient to know the patch causing this so I can by trial and error find
out the exact point and try reverting it for internal use.

Alternatively, is there a source file I could fill with printk in order to see
where it breaks?

Thanks.

Comment 8 Richard Keech 2003-02-04 18:43:38 EST
I too see this problem with 7.2 with 2.4.18-19.7xsmp.
Specifically, a SCO executable that works fine with 2.4.9-21smp, 
segfaults with 2.4.18-19.7xsmp.  Is there any possiblity that
the newly released 2.4.18-24.7x might have fixed this?
Comment 9 giulioo 2003-05-15 07:24:45 EDT
Right now there are no more supported Red Hat kernel releases using linux-abi,
so I'm closing this as wontfix.

Still, it would have been nice if you had told what you changed, since there are
users of supported releases (ie 7.3) that saw linux-abi working when installed
out of the box, then broken, then removed during security kernel updates.


Comment 10 Jim Whitescarver 2003-05-22 13:22:45 EDT
Redhat is supposed to be Linux!  Linux supports linux-abi  Either fix this or
stop calling yourself Linux.  I for one will be a stong advocate against Redhat
if you drop this support.  You have already lost many of the linux-abi users and
the rest will be gone when they must update someday.
Comment 11 Arjan van de Ven 2003-05-22 14:33:43 EDT
"Redhat is supposed to be Linux!  Linux supports linux-abi "

Actually you're very wrong. linux-abi is NOT part of the normal linux kernel.
It's an external patch, one which hasn't been actively maintained for almost a
year now.

Comment 12 christer 2003-05-22 16:21:59 EDT
The only good thing about you had a broken and now dropped linux-abi support is
that I now have a great uptime on one of my boxes, almost a year now.
The bad part is I'm missing all security updates since I can't upgrade the
kernel any more.
Please reconsider.
Comment 13 Arjan van de Ven 2003-05-22 16:25:54 EDT
Well, lets see
* there is a linux-ABI patch against an old kernel
* it's not really maintained
* it has security holes
* it doesn't really work well in general, only for some limited number of old
SCO apps
* customers need a SCO license anyway to use those
* the number of people running SCO apps on linux is very low; esp since most
  SCO apps have linux versions out now, native is far superior to emulation in 
  this case.

Comment 14 giulioo 2003-07-29 08:26:17 EDT
*** Bug 101044 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.